## ros-lunar-costmap-cspace 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(costmap_cspace)

find_package(catkin REQUIRED
  COMPONENTS
    roscpp

    geometry_msgs
    laser_geometry
    nav_msgs
    sensor_msgs
    tf2_geometry_msgs
    tf2_ros
    tf2_sensor_msgs

    costmap_cspace_msgs
    neonavigation_common
)
find_package(xmlrpcpp REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS
    roscpp

    geometry_msgs
    laser_geometry
    nav_msgs
    sensor_msgs
    tf2_geometry_msgs
    tf2_ros
    tf2_sensor_msgs

    costmap_cspace_msgs
    neonavigation_common
)

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
  message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations -DROS_DISTRO_$ENV{ROS_DISTRO}=1")

include_directories(${catkin_INCLUDE_DIRS} include)

add_executable(costmap_3d src/costmap_3d.cpp src/costmap_3d_layers.cpp)
target_link_libraries(costmap_3d ${catkin_LIBRARIES})
add_dependencies(costmap_3d ${catkin_EXPORTED_TARGETS})

add_executable(laserscan_to_map src/laserscan_to_map.cpp)
target_link_libraries(laserscan_to_map ${catkin_LIBRARIES})
add_dependencies(laserscan_to_map ${catkin_EXPORTED_TARGETS})

add_executable(pointcloud2_to_map src/pointcloud2_to_map.cpp)
target_link_libraries(pointcloud2_to_map ${catkin_LIBRARIES})
add_dependencies(pointcloud2_to_map ${catkin_EXPORTED_TARGETS})

add_executable(largemap_to_map src/largemap_to_map.cpp)
target_link_libraries(largemap_to_map ${catkin_LIBRARIES})
add_dependencies(largemap_to_map ${catkin_EXPORTED_TARGETS})


if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_subdirectory(test)

  find_package(roslint REQUIRED)
  roslint_cpp()
  roslint_add_test()
endif()

install(TARGETS
    costmap_3d
    largemap_to_map
    laserscan_to_map
    pointcloud2_to_map
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-lunar-costmap-cspace (0.4.0-1xenial) xenial; urgency=high

  * costmap_cspace: add const begin/end to PointcloudAccumurator (#294 <https://github.com/at-wat/neonavigation/issues/294>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 09 May 2019 00:00:00 -0000

ros-lunar-costmap-cspace (0.3.1-1xenial) xenial; urgency=high

  * Fix pointer alignment style (#233 <https://github.com/at-wat/neonavigation/issues/233>)
  * Migrate tf to tf2 (#230 <https://github.com/at-wat/neonavigation/issues/230>)
  * Fix catkin package definitions (#206 <https://github.com/at-wat/neonavigation/issues/206>)
  * Contributors: Atsushi Watanabe, So Jomura

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 10 Jan 2019 00:00:00 -0000

ros-lunar-costmap-cspace (0.2.3-1xenial) xenial; urgency=high

  * Fix test names (#202 <https://github.com/at-wat/neonavigation/issues/202>)
  * Install sample files and nodes for demo (#201 <https://github.com/at-wat/neonavigation/issues/201>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 19 Jul 2018 00:00:00 -0000

ros-lunar-costmap-cspace (0.2.2-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-lunar-costmap-cspace (0.2.1-1xenial) xenial; urgency=high

  * Fix missing package dependencies (#194 <https://github.com/at-wat/neonavigation/issues/194>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 14 Jul 2018 00:00:00 -0000

ros-lunar-costmap-cspace (0.2.0-1xenial) xenial; urgency=high

  * Fix build on Indigo (#180 <https://github.com/at-wat/neonavigation/issues/180>)
  * Fix namespace migration messages (#174 <https://github.com/at-wat/neonavigation/issues/174>)
  * Fix topic/service namespace model (#168 <https://github.com/at-wat/neonavigation/issues/168>)
  * Fix package dependencies (#167 <https://github.com/at-wat/neonavigation/issues/167>)
  * Fix naming styles (#166 <https://github.com/at-wat/neonavigation/issues/166>)
  * Update package descriptions and unify license and version (#165 <https://github.com/at-wat/neonavigation/issues/165>)
  * Use neonavigation_msgs package (#164 <https://github.com/at-wat/neonavigation/issues/164>)
  * costmap_cspace: add StopPropagation layer (#153 <https://github.com/at-wat/neonavigation/issues/153>)
  * costmap_cspace: install header files (#155 <https://github.com/at-wat/neonavigation/issues/155>)
  * costmap_cspace: fix layer order handling from the parameter (#154 <https://github.com/at-wat/neonavigation/issues/154>)
  * costmap_cspace: clear update region on output layer (#139 <https://github.com/at-wat/neonavigation/issues/139>)
  * costmap_cspace: clear previous position on overlay map (#135 <https://github.com/at-wat/neonavigation/issues/135>)
  * Add integration demo (#133 <https://github.com/at-wat/neonavigation/issues/133>)
  * costmap_cspace: add unknown handler layer (#132 <https://github.com/at-wat/neonavigation/issues/132>)
  * costmap_cspace: memory access optimizations (#131 <https://github.com/at-wat/neonavigation/issues/131>)
  * costmap_cspace: keep overlay maps which arrived before base map (#124 <https://github.com/at-wat/neonavigation/issues/124>)
  * costmap_cspace: always store received overlay map (#109 <https://github.com/at-wat/neonavigation/issues/109>)
  * costmap_cspace: make static layers configurable (#108 <https://github.com/at-wat/neonavigation/issues/108>)
  * costmap_cspace: make costmap layer structure configurable (#106 <https://github.com/at-wat/neonavigation/issues/106>)
  * costmap_cspace: refactor CSpace3Cache class (#105 <https://github.com/at-wat/neonavigation/issues/105>)
  * costmap_cspace: add stacked costmap class (#104 <https://github.com/at-wat/neonavigation/issues/104>)
  * costmap_cspace: remove retval of setFootprint (#103 <https://github.com/at-wat/neonavigation/issues/103>)
  * costmap_cspace: move XML-polygon conversion into Polygon class (#102 <https://github.com/at-wat/neonavigation/issues/102>)
  * costmap cspace: add layer type check (#101 <https://github.com/at-wat/neonavigation/issues/101>)
  * costmap_cspace: refactor costmap layer classes (#100 <https://github.com/at-wat/neonavigation/issues/100>)
  * costmap_cspace: make costmap layers stackable (#99 <https://github.com/at-wat/neonavigation/issues/99>)
  * costmap_cspace: make cspace template customizable (#96 <https://github.com/at-wat/neonavigation/issues/96>)
  * costmap_cspace: hold CSpace3D object as shared_ptr (#95 <https://github.com/at-wat/neonavigation/issues/95>)
  * Suppress compile warnings and test with -Werror. (#82 <https://github.com/at-wat/neonavigation/issues/82>)
  * costmap_cspace: fix frame of z-filter in pointcloud2_to_map. (#80 <https://github.com/at-wat/neonavigation/issues/80>)
  * costmap_cspace: fix angular grid accessor before receiving the first map.
  * Add missing dep to xmlrpcpp. (#52 <https://github.com/at-wat/neonavigation/issues/52>)
  * Remove dummy dep to system_lib. (#51 <https://github.com/at-wat/neonavigation/issues/51>)
  * costmap_cspace: adds unit tests. (#48 <https://github.com/at-wat/neonavigation/issues/48>)
  * costmap_cspace: fixes memory access error on global map boundary. (#49 <https://github.com/at-wat/neonavigation/issues/49>)
  * costmap_cspace: refactors costmap_cspace package. (#47 <https://github.com/at-wat/neonavigation/issues/47>)
  * Support package install. (#45 <https://github.com/at-wat/neonavigation/issues/45>)
  * costmap_cspace: pointcloud2_to_map: adds singleshot data input (#41 <https://github.com/at-wat/neonavigation/issues/41>)
  * Fix coding styles. (#39 <https://github.com/at-wat/neonavigation/issues/39>)
  * costmap_cspace: add pointcloud2_to_map node. (#35 <https://github.com/at-wat/neonavigation/issues/35>)
  * costmap_cspace: laserscan_to_map: accumerate scans. (#34 <https://github.com/at-wat/neonavigation/issues/34>)


=== debian/control ===
Source: ros-lunar-costmap-cspace
Section: misc
Priority: extra
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-costmap-cspace-msgs, ros-lunar-geometry-msgs, ros-lunar-laser-geometry, ros-lunar-nav-msgs, ros-lunar-neonavigation-common, ros-lunar-roscpp, ros-lunar-roslint, ros-lunar-rostest, ros-lunar-rosunit, ros-lunar-sensor-msgs, ros-lunar-tf2-geometry-msgs, ros-lunar-tf2-ros, ros-lunar-tf2-sensor-msgs, ros-lunar-xmlrpcpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-costmap-cspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-costmap-cspace-msgs, ros-lunar-geometry-msgs, ros-lunar-laser-geometry, ros-lunar-nav-msgs, ros-lunar-neonavigation-common, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-tf2-geometry-msgs, ros-lunar-tf2-ros, ros-lunar-tf2-sensor-msgs, ros-lunar-xmlrpcpp
Description: 3-dof configuration space costmap package
